/*
 * ProblemDimension.h
 *
 *  Created on: May 12, 2010
 *      Author: Brenda Javornik (e-mail: brendaj (at) nwra.com)
 */

#ifndef PROBLEMDIMENSION_H_
#define PROBLEMDIMENSION_H_

struct PDConstants {
	int D1; ///< 1D for RLS
	int D2; ///< 2D (x,y,z=1) for OLA
	int D3; ///< 3D_scalar
	int D5;	///< 3D_vector
};

static const struct PDConstants PDC = {1,2,3,5};

void setProblemDimension(int dim);

int getProblemDimension();

#endif /* PROBLEMDIMENSION_H_ */
