/*
 * averagingKernel.h
 *
 *  Created on: Apr 30, 2010
 *      Author: Brenda Javornik (e-mail: brendaj (at) nwra.com)
 */

#ifndef AVERAGINGKERNEL_H_
#define AVERAGINGKERNEL_H_

#include "matrix.h"

#define PULLING_COLUMNS 1

void initializeAvgKernelCalculation(char *AvgKernInputLine, int maxDepth);

void freeAvgKernelCalculation();

bool subsetKernels();

bool calcAvgKernelCov();

int getNumberOfAveragingKernels();

int getAvgKernelDepth(int i);

MATRIX selectKernels(MATRIX m);

#endif /* AVERAGINGKERNEL_H_ */
