/*
 * linearEqSolve.h
 *
 *  Created on: Dec 15, 2011
 *      Author: Brenda Javornik (e-mail: brendaj (at) nwra.com)
 */

#ifndef LINEAREQSOLVE_H_
#define LINEAREQSOLVE_H_

#include "InvTypes.h"

MATRIX linearEqSolve(MATRIX A, MATRIX v);
MATRIX LinearEqSolveNRHS(MATRIX A, MATRIX B);
void linearEqSolveCleanup();

MATRIX linearEqSolveCholesky(MATRIX A, MATRIX B);

MATRIX linearEqSolveSvd(MATRIX A, MATRIX B);

#endif /* LINEAREQSOLVE_H_ */
