/*
 * CoreErrorMessages.h
 *
 *  Created on: Feb 28, 2011
 *      Author: Brenda Javornik (e-mail: brendaj (at) nwra.com)
 */

#ifndef COREERRORMESSAGES_H_
#define COREERRORMESSAGES_H_

const static char NeedTwoLambdaSets[] = "Expected two lambda sets on a line";
const static char LambdaSetNotEnoughValues[] = "Not enough values for lambda set";
const static char LambdaSetUnknownSetNumber[] = "Unexpected lambda set number to fetch";
const static char LambdaSetNoneFound[] = "No lambda set specification found";
const static char LambdaSetMinGTMax[] = "Lambda set min must be less than or equal to max";
const static char LambdaSetBadNSteps[] = "Number of steps in lambda set must be greater than 0";
const static char LambdaSetSettingLowerBound[] = "Setting lower bound on range to three logs less than max.";


#endif /* COREERRORMESSAGES_H_ */
